Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class MarkerFormatInfo

    java.lang.Object
      jet.report.xls.MarkerFormatInfo

    public class MarkerFormatInfo

extends java.lang.Object

Shows line marker format info.

Field Summary
`static short` | `AUTOCOLOR` Auto color.
`static short` | `CIRCLE` Circular markers.
`static short` | `DEVIATION` Long bar markers.
`static short` | `DIAMOND` Diamond-shaped markers.
`static short` | `DOWJONES` Short bar markers.
`static short` | `NOBACK` No back color.
`static short` | `NOFORE` No fore color.
`static short` | `NONE` No markers.
`static short` | `PLUSSIGN` Square markers with a plus sign.
`static short` | `SQUARE` Square markers.
`static short` | `STAR` Square markers with an asterisk.
`static short` | `TRIANGLE` Triangular markers.
`static short` | `X` Square markers with an X.

Constructor Summary
`MarkerFormatInfo()` Constructs a `MarkerFormatInfo` with the default parameter.
`MarkerFormatInfo(int rgbFore, int rgbBack, short type, short grbit, int size, GlobalWorksheet gws)` Constructs a `MarkerFormatInfo` with these parameters:

Method Summary
`int` | `getBackColor()` Gets the background color of maker.
`int` | `getForeColor()` Gets the foreground color of maker.
`int` | `getSize()` Gets the size of marker(in points).
`short` | `getType()` Gets the type of marker.
`boolean` | `isAutoColor()` Gets whether to use automatic color.
`boolean` | `isNoback()` Gets whether background = none.
`boolean` | `isNofore()` Gets whether foreground = none.
`void` | `setAutoColor(boolean b)` Sets whether to use automatic color.
`void` | `setBackColor(int color, GlobalWorksheet gws)` Sets the background color of maker.
`void` | `setForeColor(int color, GlobalWorksheet gws)` Sets the foreground color of maker.
`void` | `setNoback(boolean b)` Sets whether background = none.
`void` | `setNofore(boolean b)` Sets whether foreground = none.
`void` | `setSize(int size)` Sets the size of marker(points).
`void` | `setType(byte type)` Sets the type of marker.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final short NONE

  No markers.

  See Also:
    Constant Field Values

### SQUARE

    public static final short SQUARE

  Square markers.

  See Also:
    Constant Field Values

### DIAMOND

    public static final short DIAMOND

  Diamond-shaped markers.

  See Also:
    Constant Field Values

### TRIANGLE

    public static final short TRIANGLE

  Triangular markers.

  See Also:
    Constant Field Values

### X

    public static final short X

  Square markers with an X.

  See Also:
    Constant Field Values

### STAR

    public static final short STAR

  Square markers with an asterisk.

  See Also:
    Constant Field Values

### DOWJONES

    public static final short DOWJONES

  Short bar markers.

  See Also:
    Constant Field Values

### DEVIATION

    public static final short DEVIATION

  Long bar markers.

  See Also:
    Constant Field Values

### CIRCLE

    public static final short CIRCLE

  Circular markers.

  See Also:
    Constant Field Values

### PLUSSIGN

    public static final short PLUSSIGN

  Square markers with a plus sign.

  See Also:
    Constant Field Values

### AUTOCOLOR

    public static final short AUTOCOLOR

  Auto color.

  See Also:
    Constant Field Values

### NOBACK

    public static final short NOBACK

  No back color.

  See Also:
    Constant Field Values

### NOFORE

    public static final short NOFORE

  No fore color.

  See Also:
    Constant Field Values

Constructor Detail

### MarkerFormatInfo

    public MarkerFormatInfo()

  Constructs a `MarkerFormatInfo` with the default parameter.

### MarkerFormatInfo

    public MarkerFormatInfo(int rgbFore,
                            int rgbBack,
                            short type,
                            short grbit,
                            int size,
                            GlobalWorksheet gws)

  Constructs a `MarkerFormatInfo` with these parameters:

  Parameters:
    `rgbFore` - foreground color:RGB value
    `rgbBack` - background color:RGB value
    `type` - type of marker, can be either `NONE`, `SQUARE`, `STAR`, `CIRCLE`, `DEVIATION`, `DIAMOND`, `DOWJONES`, `PLUSSIGN`, `X` or `TRIANGLE`
    `grbit` - format flags AUTOCOLOR, NOBACK, NOFORE or the combined value of them
    `size` - size of line markers(the unit is point)
    `gws` - instance of GlobalWorksheet

Method Detail

### setType

    public void setType(byte type)

  Sets the type of marker.

  Parameters:
    `type` - the type of marker
  See Also:
    `NONE`, `SQUARE`, `DIAMOND`, `TRIANGLE`, `X`, `STAR`, `DOWJONES`, `DEVIATION`, `CIRCLE`, `PLUSSIGN`

### getType

    public short getType()

  Gets the type of marker.

  Returns:
    the type of marker
  See Also:
    `NONE`, `SQUARE`, `DIAMOND`, `TRIANGLE`, `X`, `STAR`, `DOWJONES`, `DEVIATION`, `CIRCLE`, `PLUSSIGN`

### setBackColor

    public void setBackColor(int color,
                             GlobalWorksheet gws)

  Sets the background color of maker.

  Parameters:
    `color` - background color of maker

### getBackColor

    public int getBackColor()

  Gets the background color of maker.

  Returns:
    the background color of maker

### setForeColor

    public void setForeColor(int color,
                             GlobalWorksheet gws)

  Sets the foreground color of maker.

  Parameters:
    `color` - foreground color of maker

### getForeColor

    public int getForeColor()

  Gets the foreground color of maker.

  Returns:
    the foreground color of maker

### isAutoColor

    public boolean isAutoColor()

  Gets whether to use automatic color.

  Returns:
    whether to use automatic color or not

### setAutoColor

    public void setAutoColor(boolean b)

  Sets whether to use automatic color.

  Parameters:
    `b` - use automatic color or not

### isNoback

    public boolean isNoback()

  Gets whether background = none.

  Returns:
    whether background = none or not

### setNoback

    public void setNoback(boolean b)

  Sets whether background = none.

  Parameters:
    `b` - whether background = none or not

### isNofore

    public boolean isNofore()

  Gets whether foreground = none.

  Returns:
    whether foreground = none or not

### setNofore

    public void setNofore(boolean b)

  Sets whether foreground = none.

  Parameters:
    `b` - whether foreground = none or not

### getSize

    public int getSize()

  Gets the size of marker(in points).

  Returns:
    the size of maker

### setSize

    public void setSize(int size)

  Sets the size of marker(points).

  Parameters:
    `size` - the size of maker

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD